Class | Sequel::SQL::OrderedExpression
In: | lib/sequel/sql.rb
Parent: | Expression

Represents a column/expression to order the result set by.

### Methods

new

### Attributes

descending | [R] | Whether the expression should order the result set in a descending manner
expression | [R] | The expression to order the result set by.

### Public Class methods

new(expression, descending = true)

Set the expression and descending attributes to the given values.

[Source]

         # File lib/sequel/sql.rb, line 651
    651:       def initialize(expression, descending = true)
    652:         @expression, @descending = expression, descending
    653:       end

[Validate]